%bcond_with bootstrap
%global artifact_name io.takari.incrementalbuild

Name:                takari-incrementalbuild
Version:             0.20.7
Release:             1
Summary:             Takari Incremental Build
License:             EPL
URL:                 http://takari.io
BuildArch:           noarch
Source0:             https://github.com/takari/io.takari.incrementalbuild/archive/io.takari.incrementalbuild-%{version}.tar.gz
Source1:             http://www.eclipse.org/legal/epl-v10.html

BuildRequires:       maven-local mvn(com.google.inject:guice::no_aop:) mvn(com.squareup:javapoet)
BuildRequires:       mvn(io.takari.maven.plugins:takari-plugin-testing)
BuildRequires:       mvn(javax.enterprise:cdi-api) mvn(javax.inject:javax.inject) mvn(junit:junit)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.maven:maven-artifact)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.apache.maven.resolver:maven-resolver-api)
BuildRequires:       mvn(org.apache.maven.resolver:maven-resolver-util)
BuildRequires:       mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:       mvn(org.eclipse.sisu:org.eclipse.sisu.plexus) mvn(org.slf4j:slf4j-api)
%if %{without bootstrap}
BuildRequires:       mvn(io.takari.maven.plugins:takari-lifecycle-plugin) mvn(io.takari:takari:pom:)
%else
BuildRequires:       mvn(org.eclipse.sisu:sisu-maven-plugin)
%endif
%description
Incremental build support library for Apache Maven.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{artifact_name}-%{artifact_name}-%{version}
cp -a %{SOURCE1} .
%pom_disable_module incrementalbuild-its
%pom_disable_module takari-builder-demo
for module in takari-builder-security-manager incrementalbuild-workspace; do
    %pom_xpath_inject /pom:project/pom:modules "<module>$module</module>"
    %pom_set_parent io.takari:io.takari.incrementalbuild:%{version} $module
    %pom_change_dep -r :$module ::%{version}
done
%pom_remove_plugin -r :animal-sniffer-maven-plugin
%if %{with bootstrap}
%pom_remove_parent
%pom_add_plugin org.eclipse.sisu:sisu-maven-plugin '
<executions>
  <execution>
    <id>index-project</id>
    <goals>
      <goal>main-index</goal>
    </goals>
  </execution>
</executions>'
%pom_xpath_remove -r 'pom:project/pom:packaging[contains(text(),"takari")]'
%pom_add_plugin :maven-compiler-plugin '
<configuration>
  <source>1.8</source>
  <target>1.8</target>
  <compilerArgument>-proc:none</compilerArgument>
</configuration>'
%endif

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license epl-v10.html

%files javadoc -f .mfiles-javadoc
%license epl-v10.html

%changelog
* Fri Aug 14 2020 maminjie <maminjie1@huawei.com> - 0.20.7-1
- package init
